/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Cj Studio
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––
SELECTED
–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––*/

::-moz-selection {
    /* Code for Firefox */
    color: var(--light);
    background: var(--primary);
}

::selection {
    color: var(--light);
    background: var(--primary);
}

/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––
SCROLL
–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––*/

/* width */
::-webkit-scrollbar {
    height: 4px;
    width: 4px;
}

/* Track */
::-webkit-scrollbar-track {
    background: transparent;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: var(--dark);
}


/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––
CORE
–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––*/
body {
    min-height: 100vh;
}

body.bricks-is-frontend :focus {
    outline: none;
}

/*HEADLINE –––––––––––––––––––––––––––––––––––––– */
h1 b,
h2 b,
h3 b,
h4 b,
h5 b,
h6 b {
    font-weight: 700;
}

/*LIST –––––––––––––––––––––––––––––––––––––– */
:root {
    --list-ol-tag-S: 30px;
    --list-ol-tag-M: 40px;
    --list-ol-tag-L: 60px;
}

/*STANDARDS UL*/
.brxe-text ul:not(.e-accordion):not(.e-list-highlight) {
    margin-top: 0;
    padding-left: 0;
    padding-bottom: var(--padding-unit);
    padding-top: var(--padding-unit);
}

.brxe-text ul:not(.e-accordion):not(.e-list-highlight) li {
    list-style-type: none;
    margin-bottom: var(--flex-gap-s);    
    padding-bottom: var(--flex-gap-s);
    padding-left:var(--padding-2);
    position:relative;
}
.brxe-text ul:not(.e-accordion):not(.e-list-highlight) li:before{
    background:var(--dark);
    content:'';
    height:1px;
    left:0;
    position: absolute;
    top:8px;
    width:var(--padding-unit);
}
/*STANDARD OL WITH CUSTOM NUMBER
e-steps--L
e-steps--M / Default
e-steps--S
*/
.brxe-text ol {
    counter-reset: mycounter;
    column-gap: var(--flex-gap);
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    margin-bottom: var(--margin-2);
    margin-top: var(--margin-1);
    padding-left: 0;
    padding-bottom: var(--padding-2);
    padding-top: var(--padding-2);
    row-gap: var(--flex-gap);
}
.brxe-text ol li {
    list-style-type: none;
    margin-bottom: 0;
    padding-left: var(--padding-4);
    padding-bottom: 0;
    position: relative;
}
.brxe-text ol li:before,
.brxe-text ol li:after {}

.brxe-text ol li:before {
    content: ""counter(mycounter) " ";
    counter-increment: mycounter;
    font-size: var(--copy-m);
    font-weight: 500;
    left: 0;
    position: absolute;
    text-align: center;
    top: 0;
    width: var(--list-ol-tag-M);
    z-index: 1;
}

.brxe-text ol li:after {
    background: var(--neutral);
    border-radius: var(--list-ol-tag-M);
    content: '';
    height: var(--list-ol-tag-M);
    left: 0;
    top: -8px;
    position: absolute;
    width: var(--list-ol-tag-M);
    z-index: 0;
}

@media (max-width: 991px) {
    .brxe-text ol li {
        max-width: inherit;
        width: 100%;
    }
}

/*CUSTOM SIZE L*/
.e-list-steps--L ol{
    padding-bottom: var(--padding-3);
    padding-top: var(--padding-3);
}
.e-list-steps--L ol li {
    padding-left: var(--padding-6);
}
.e-list-steps--L ol li:before {
    width: var(--list-ol-tag-L);
}
.e-list-steps--L ol li:after {
    border-radius: var(--list-ol-tag-L);
    height: var(--list-ol-tag-L);
    left: ;
    top: -18px;
    width: var(--list-ol-tag-L);
}
.e-list-steps--L.e-list-steps--x ol li{
    padding-left:0;
    padding-top:var(--padding-4);
}

/*CUSTOM SITE S*/
.e-list-steps--S ol li {
    padding-left: var(--padding-3);
}
.e-list-steps--S ol li:before {
    width: var(--list-ol-tag-S);
}
.e-list-steps--S ol li:after {
    border-radius: var(--list-ol-tag-S);
    height: var(--list-ol-tag-S);
    left: 0;
    top: -5px;
    width: var(--list-ol-tag-S);
}

/*CUSTOM GRID*/
.e-list-steps--x ol{
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: start;
}
.e-list-steps--x ol li{
    flex-grow: 0;
    flex-shrink: 1;
    flex-basis: 30%;
}
.e-list-steps--x.e-list-steps--S ol li{
    flex-basis: 30%;
}


/*CUSTON CHECKLIST ICON*/
.e-list-icon--check ol li,
.e-list-icon--check ul li{
    padding-left:var(--padding-2);
}
.e-list-icon--check ol li:before,
.e-list-icon--check ul li:before{
    content: '';
    background-color: transparent !important;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='10.799' height='7.225' viewBox='0 0 10.799 7.225'%3E%3Cpath d='M3.834,6.725a1.425,1.425,0,0,1-1.014-.42L-.219,3.266A.958.958,0,0,1,.458,1.632a.951.951,0,0,1,.677.28l2.7,2.7L8.665-.219A.958.958,0,0,1,10.3.458a.951.951,0,0,1-.28.677l-5.17,5.17A1.425,1.425,0,0,1,3.834,6.725Z' transform='translate(0.5 0.499)' fill='%230d3f52'/%3E%3C/svg%3E");
    background-position: center center;
    background-repeat: no-repeat;
    position: absolute;
    z-index: 1;
}
.e-list-icon--check ol li:after,
.e-list-icon--check ul li:after{
    content: '';
    left: 0;
    position: absolute;
    top: 0;
}
.e-list-icon--check ol li:before,
.e-list-icon--check ul li:before,
.e-list-icon--check ol li:after,
.e-list-icon--check ul li:after{
    height: 20px;
    width: 20px;
}

/*TEXT –––––––––––––––––––––––––––––––––––––– */
p {}

p i {}

p em {}

p strong {
    color: var(--dark);
}
strong{
    font-weight:600;
}

.bg-dark p strong {
    color: var(--light);
}


/*HYPERLINKS –––––––––––––––––––––––––––––––––––––– */
p strong,
p a {
    font-weight: 600;
    transition: color var(--animation-type-in) var(--animation-time-in);
}

p a:hover {
    transition: color var(--animation-type-out) var(--animation-time-out);
}

a {
    outline: none;
    transition: all var(--animation-type-in) var(--animation-time-in);
}

a:hover {
    transition: all var(--animation-type-out) var(--animation-time-out);
}

@media (max-width: 478px) {

    .brxe-button {
        width: 100%;
    }
}

/*DIVIDER –––––––––––––––––––––––––––––––––––––– */
hr {
    margin: var(--margin-2) 0 var(--margin-2) !important;
}


/*IFRAME –––––––––––––––––––––––––––––––––––––– */
.iframe__wrapper {
    position: relative;
    padding-top: 56.25%;
}

.iframe__wrapper iframe {
    height: 100%;
    position: absolute;
    top: 0;
    width: 100%;
}
/*VISUAL –––––––––––––––––––––––––––––––––––––– */
picture,
figure{
}
picture img,
figure img{
    border-radius: var(--radius-image);
    object-fit: cover;
}

/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––
GUTHENBERG
–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––*/

.e-guthenberg .wp-block-image,
.e-guthenberg .wp-block-gallery{
    margin-bottom: var(--margin-3);
    margin-top: var(--margin-2);
}

.e-guthenberg *:is(h1, h2) {
    margin-bottom: var(--margin-2) !important;
    margin-top: var(--margin-4) !important;
}

.e-guthenberg *:is(h3, h4) {
    border-top: solid 1px var(--neutral-l);
    margin-bottom: var(--margin-2);
    margin-top: var(--margin-3);
    padding-top: var(--padding-3);
}

.e-guthenberg *:is(h5, h6) {
    border-top: solid 1px var(--neutral-l);
    margin-bottom: var(--margin-2);
    margin-top: var(--margin-3);
    padding-top: var(--padding-unit);
}

.e-guthenberg .wp-block-gallery {
    display: flex;
    flex-direction: row;
    column-gap: var(--flex-gap);
    row-gap: var(--flex-gap);
    flex-wrap: wrap;
}

.e-guthenberg .wp-block-gallery figure {
    min-width: 45%;
    margin-bottom: 0;
    margin-top: 0;
}
.e-guthenberg ol,
.e-guthenberg ul{
    padding-bottom: var(--padding-2);
    padding-top: var(--padding-2);
}
@media (max-width: 991px){
 .e-guthenberg .wp-block-gallery figure {
     min-width: 100%;
    }   
}

/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––
GLOBAL
–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––*/
html {
    margin-top: 0 !important;
}

main {
    padding-top: var(--main-top);
}

main .brxe-section:last-child {
    padding-bottom: var(--main-bottom);
}
@media (min-width: 1440px) {
    main .brxe-section{
        padding-left:0;
        padding-right: 0;
    }
}

main>.brxe-section:first-of-type:not(.t-cover){
    padding-top:var(--main-first-child);
}
.bricks-is-frontend main {
    /*    display: flex;*/
    align-items: center;
    /*    overflow: hidden;*/
    position: relative;
    font-size: var(--body-font);
    line-height: var(--line-height-body);
    z-index: 1;
}

/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––
FORM
–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––*/

input[type=submit] {
    padding: var(--button-lg-y) var(--button-lg-x) !important;
}

/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––
BRICKSBUILDER BUTTON
–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––*/
.brxe-text {
    width: 100%;
}

.brxe-button,
input[type=submit]{
    border-radius: var(--radius-button);
    transition: var(--animation-type-in);
    transition-timing-function: var(--animation-time-in);
}

button span,
.brxe-button span {
    display: flex;
    column-gap: var(--flex-gap-s);
    align-items: center;
}

@media (max-width: 767px) {

    .brxe-button {
        justify-content: space-between;
    }
}

/*GLOBAL OUTLINE*/
.bricks-button.outline,
.gform_wrapper.gravity-theme .gform_previous_button.button,
.gform_wrapper.gravity-theme .gform_save_link.button {
    background: transparent;
    border-width: 2px;
}
/*GLOBAL SVG*/
.brxe-button svg {
    height: 12px;
    min-height:inherit;
    width: 14px!important;
    transition: all var(--animation-time-out) var(--animation-type-out);
}
.brxe-button.sm svg {
    width: 12px!important;
}
/* GLOBAL HOVER */
.brxe-button:hover {
    transition: all var(--animation-type-out) var(--animation-time-out);
}

.brxe-button:hover svg {
    transition: all var(--animation-time-in) var(--animation-type-in);
    transform: scale(1.1) !important;
}
.e-button-linkback:hover svg{
    transform: translateX(-4px) !important;
}

/*PRIMARY*/
.bricks-button[class*="primary"] {
    background: var(--primary);
    color: var(--light);
}

.bricks-button[class*="primary"] svg > * {
    fill: var(--light);
}

.bricks-button[class*="primary"]:hover {
    background: var(--primary-l);
}

.bricks-button[class*="primary"].outline {
    background: transparent;
    color: var(--primary);
}
.bricks-button[class*="primary"].outline svg *{
    fill: var(--primary);
}

.bricks-button[class*="primary"].outline:hover {
    background: var(--primary-l);
    border-color: var(--primary-l);
    color: var(--light);
}
.bricks-button[class*="primary"].outline:hover svg *{
    fill: var(--light);
}


/*SECONDARY*/
.bricks-button[class*="secondary"] {
    background: var(--secondary);
    color: var(--dark);
}

.bricks-button[class*="secondary"] svg > * {
    fill: var(--light);
}

.bricks-button[class*="secondary"]:hover {
    background: var(--secondary-d);
}

.bricks-button[class*="secondary"]:hover svg > *,
.bricks-button[class*="secondary"].outline:hover svg > * {
    fill: var(--dark);
}

.bricks-button[class*="secondary"].outline {
    background: transparent;
    color: var(--dark);
}

.bricks-button[class*="secondary"].outline svg > * {
    fill: var(--dark);
}

.bricks-button[class*="secondary"].outline:hover {
    background: var(--secondary-d);
    border-color: var(--secondary-d);
    color: var(--dark);
}

/*DARK*/
.bricks-button[class*="dark"] {
    background: var(--dark);
    color: var(--light);
}

.bricks-button[class*="dark"] svg > * {
    fill: var(--light);
}

.bricks-button[class*="dark"]:hover {
    background: var(--dark-l);
}

.bricks-button[class*="dark"].outline {
    background: transparent;
    border-color: var(--dark);
    color: var(--dark)!important;
}

.bricks-button[class*="dark"].outline svg > * {
    fill: var(--dark);
}

.bricks-button[class*="dark"].outline:hover {
    background: var(--neutral);
}


/*LIGHT*/
.bricks-button[class*="light"] {
    background: var(--light);
    color: var(--dark);
}

.bricks-button[class*="light"] svg > * {
    fill: var(--dark);
}

.bricks-button[class*="light"]:hover {
    background: var(--light-d);
}

.bricks-button[class*="light"].outline {
    background: transparent;
    color: var(--light);
}

.bricks-button[class*="light"].outline svg > * {
    fill: var(--light);
}

.bricks-button[class*="light"].outline:hover {
    background: var(--neutral);
    color:var(--dark);
}
.bg-dark .bricks-button[class*="light"].outline:hover svg > * {
    fill: var(--dark);
}

/*SM*/
.bricks-button[class*="primary"].sm {
    color: var(--primary);
}
.bricks-button[class*="dark"].sm svg > *{
    fill:var(--dark);
}
.bricks-button[class*="light"].sm svg > *{
    fill:var(--light);
}


.bricks-button[class*="primary"].sm:before,
.bricks-button[class*="primary"].sm:after {
    background: var(--primary);
}
/*SMALL & QUICKLINLKS*/
.x-read-more_link,
.quicklink,
.e-breadcrumbs a,
.bricks-button.sm {
    background: transparent !important;
    border: none !important;
    font-size: var(--body-font);
    position: relative;
    padding: 0 0 !important;
    width: fit-content;
}

.quicklink svg,
.e-breadcrumbs a svg,
.bricks-button.sm svg{
    height:12px;
    min-width: inherit;
}

.bricks-button.sm.bricks-background-light {
    color: var(--light) !important;
}

.bricks-button.sm.bricks-background-dark {
    color: var(--dark) !important;
}

.x-read-more_link:before,
.e-breadcrumbs a:before,
.bricks-button.sm:before,
.quicklink:before,
.x-read-more_link:after,
.e-breadcrumbs a:after,
.bricks-button.sm:after,
.quicklink:after {
    content:'';
    background: var(--dark);
    bottom: -2px;
    height: 2px;
    left: 0;
    position: absolute;
    transition: var(--animation-time-out);
    transition-timing-function: var(--animation-time-out);
}
.bricks-button.sm..bricks-background-light:before,
.bricks-button.sm.bricks-background-light:after{
    background: var(--light);
}

.x-read-more_link:before,
.e-breadcrumbs a:before,
.bricks-button.sm:before,
.quicklink:before {
    width: 0;
}
.x-read-more_link:after,
.e-breadcrumbs a:after,
.bricks-button.sm:after,
.quicklink:after {
    opacity: .4;
    width: 100%;
}

.bricks-background-light.bricks-button.sm:before,
.bricks-background-light.quicklink:before,
.bricks-background-light.bricks-button.sm:after,
.bricks-background-light.quicklink:after {
    background: var(--light);
}

.e-breadcrumbs a:hover:before,
.bricks-button.sm:hover:before,
.quicklink:hover:before {
    width: 100%;
    transition-delay: .15s;
}

.e-breadcrumbs a:hover:after,
.bricks-button.sm:hover:after,
.quicklink:hover:after {
    left: 100%;
    width: 0;
    opacity: 1;
    transition: var(--animation-time-in);
    transition-timing-function: var(--animation-time-in);
}

@media (max-width: 767px) {
    .brxe-button:not(.sm) {
        width: 100%;
    }
}


/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––
BRICKS ACCORDION
–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––*/
.e-table__accordion--list .accordion-title-wrapper > i,
.e-table__accordion .accordion-title-wrapper > i {
    transform: rotate(90deg);
    transition: transform var(--animation-time-in) var(--animation-type-in);
}

.e-table__accordion--list .brx-open .accordion-title-wrapper > i,
.e-table__accordion .brx-open .accordion-title-wrapper > i {
    transform: rotate(-90deg);
    transition: transform var(--animation-time-out) var(--animation-type-out);
}


/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––
COOKIE BANNERS
–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––*/
.moove-gdpr-button-holder {
    justify-content: flex-end;
}

#moove_gdpr_cookie_info_bar {
    font-weight: var(--weight-light) !important;
    background: var(--dark) !important;
    border: 0 !important;
    color: var(--light) !important;
    padding: var(--padding-2) !important;
}

#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container {
    padding: 0 !important;
}

#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content p,
#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content p a {
    font-size: var(--copy-micro) !important;
    text-transform: uppercase !important;
}

#moove_gdpr_cookie_info_bar p {
    font-weight: var(--weight-light) !important;
    line-height: var(--line-height-body) !important;
}

#moove_gdpr_cookie_info_bar button {
    background: var(--light) !important;
    color: var(--dark) !important;
    border-radius: 0 !important;
    font-weight: var(--weight-regular) !important;
    padding: 8px 20px !important;
}

/*CTA SETTINGS*/
#moove_gdpr_cookie_info_bar .moove-gdpr-cookie-notice button.change-settings-button {
    padding: 0 !important;
    background: none !important;
    color: var(--light) !important;
}

@media (max-width: 1240px) {}

@media (max-width: 991px) {}

@media (max-width: 767px) {}

@media (max-width: 478px) {}


/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––
BACKGROUND
Set directly in BricksBuilder

bg-dark
bg-light
bg-highlight-01
bg-highlight-02
bg-highlight-03
bg-highlight-04
bg-accent-01
bg-accent-02
bg-accent-03
bg-accent-04

root :is(h1, h2, h3, h4, h5, h6){
  color:var(--light);
}  
root p{
  color:var(--neutral);
}
–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––*/
